Subject: Re: emacs-build-system builds .eln-files with mismatching path-hashes

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 01 Nov 2023 15:16:49 +0100

Am Mittwoch, dem 01.11.2023 um 13:03 +0000 schrieb Mekeor Melire:
> The problem is that the .el-file-path that is passed to the Emacs
> function comp-el-to-eln-filename during build [1] does not equal to
> the .el-file-path when Emacs is invoked. Personally, I do not 
> understand how grafting causes this. But I can confirm that when 
> --no-grafts is passed to "guix install emacs emacs-unfill 
> --with-input=emacs-minimal=emacs", then no eln-cache is created.
I think Emacs might be calculating its own hash at runtime rather than
baking in the value at build time.  I would need to investigate this,
however.

Cheers